package com.zehong.system.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 场站巡检执行对象 t_site_task_inspect
 * 
 * @author zehong
 * @date 2023-12-15
 */
public class TSiteTaskInspect extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 任务id */
    @Excel(name = "任务id")
    private Long taskId;

    /** 设备id */
    @Excel(name = "设备id")
    private Long siteId;

    /** 场站照片 */
    @Excel(name = "场站照片")
    private String meterImg;

    /** 经度 */
    @Excel(name = "经度")
    private BigDecimal longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private BigDecimal latitude;

    /** 巡检人id */
    @Excel(name = "巡检人id")
    private Long adminId;

    /** 检查单json */
    @Excel(name = "检查单json")
    private String content;

    /** 是否有隐患，0没有，1有 */
    @Excel(name = "是否有隐患，0没有，1有")
    private Integer danger;

    /**场站名称*/
    private String siteStationName;

    /**场站类型*/
    private String siteStationType;

    /**巡检人*/
    private String inspector;

    private Long[] dangerarr;

    /**巡检状态*/
    private Integer inspectStatus;

    public Long[] getDangerarr() {
        return dangerarr;
    }

    public void setDangerarr(Long[] dangerarr) {
        this.dangerarr = dangerarr;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setSiteId(Long siteId) 
    {
        this.siteId = siteId;
    }

    public Long getSiteId() 
    {
        return siteId;
    }
    public void setMeterImg(String meterImg) 
    {
        this.meterImg = meterImg;
    }

    public String getMeterImg() 
    {
        return meterImg;
    }
    public void setLongitude(BigDecimal longitude) 
    {
        this.longitude = longitude;
    }

    public BigDecimal getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(BigDecimal latitude) 
    {
        this.latitude = latitude;
    }

    public BigDecimal getLatitude() 
    {
        return latitude;
    }
    public void setAdminId(Long adminId) 
    {
        this.adminId = adminId;
    }

    public Long getAdminId() 
    {
        return adminId;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setDanger(Integer danger) 
    {
        this.danger = danger;
    }

    public Integer getDanger() 
    {
        return danger;
    }

    public String getSiteStationName() {
        return siteStationName;
    }

    public void setSiteStationName(String siteStationName) {
        this.siteStationName = siteStationName;
    }

    public String getSiteStationType() {
        return siteStationType;
    }

    public void setSiteStationType(String siteStationType) {
        this.siteStationType = siteStationType;
    }

    public String getInspector() {
        return inspector;
    }

    public void setInspector(String inspector) {
        this.inspector = inspector;
    }

    public Integer getInspectStatus() {
        return inspectStatus;
    }

    public void setInspectStatus(Integer inspectStatus) {
        this.inspectStatus = inspectStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskId", getTaskId())
            .append("siteId", getSiteId())
            .append("meterImg", getMeterImg())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .append("adminId", getAdminId())
            .append("content", getContent())
            .append("danger", getDanger())
            .append("createTime", getCreateTime())
            .toString();
    }
}
